Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class AddAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.util.StandardAction
              edu.stanford.smi.protege.util.AllowableAction
                  edu.stanford.smi.protege.util.AddAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public abstract class AddAction

extends AllowableAction

Base class support for the "Add" action available on most widgets. The semantics of "add" for cardinality single are actually "set" (remove and add).

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protege.util.StandardAction
`DISABLED_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` | `AddAction(ResourceKey key)`
`protected` | `AddAction(String text)`
`protected` | `AddAction(String text, Icon icon)`

Method Summary
`void` | `actionPerformed(ActionEvent event)`
`abstract void` | `onAdd()`

Methods inherited from class edu.stanford.smi.protege.util.AllowableAction
`getSelectable, getSelection, isAllowed, onSelectionChange, setAllowed`

Methods inherited from class edu.stanford.smi.protege.util.StandardAction
`equals, getIcon, getName, getName, initialize, setDescription, setDescription, setDisabledIcon, setDisabledIcon, setIcon, setIcon, setMnemonic, setMnemonic, setName, setName, setShortcut, setShortcut, substituteIntoName`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddAction

    protected AddAction(ResourceKey key)

### AddAction

    protected AddAction(String text)

### AddAction

    protected AddAction(String text,
                        Icon icon)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

### onAdd

    public abstract void onAdd()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.